// pages/return_car_pedding/return_car_pedding.js
//轮询订单状态
const { api, imgName, wxLogin, payApi, alertTip } = require('../../lib/util.js')
let timer=null
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let userId=wx.getStorageSync('user').userMapp.id
    this.setData({
      userId,
    })
  },

  onShow: function () {
    this.getRentRecord()
    clearInterval(timer)
    timer=setInterval(()=>{
      this.getRentRecord()
    },5000)
  },

  onHide: function () {
    clearInterval(timer)
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    clearInterval(timer)
  },
  //个租情况 获取行程状态
  // state 1 index 5还车审核中 
  getRentRecord() {
    api.get('order/getRentRecord', {
      userId: this.data.userId
    },true)
      .then(res => {
        let state = res.data.state
        if(state==2){
          //付押金
          wx.redirectTo({
            url: `/pages/pay/pay?type=rent`,
          })
          return
        }
        if (state == 1) {
          //还车申请被驳回
          alertTip('你的还车申请被驳回了',()=>{
            wx.redirectTo({
              url: `/pages/user_index/user_index`,
            })
          })
          return
        }
      })
      .catch(err => {
        console.error(err)
        if(err=='数据为空'){
          wx.reLaunch({
            url: `/pages/welcome2/welcome2`,
          })
        }
      })
  }
})